/**Begin D:\PDM_UPGRADE\PDM1\HAOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAOS_SYNCORGFAILLOG') 
 CREATE TABLE T_HAOS_SYNCORGFAILLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FSYNCTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FEXECUTEBODY NCLOB,
FEXECUTEBODY_TAG NCLOB,
FSYNCSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FRETRYCOUNT INT DEFAULT 0 NOT NULL,
FERRORMSG NCLOB,
FERRORMSG_TAG NCLOB,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAOS_SYNCORGLOG') 
 CREATE TABLE T_HAOS_SYNCORGLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FSYNCTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FEXECUTEBODY_TAG NCLOB,
FEXECUTEBODY NCLOB,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HAOS_table.sql **/
